Last Comment Bug 260977 - SeaMonkey / mozilla asks for another profile if already ran and run-mozilla.sh is in the libdir
: SeaMonkey / mozilla asks for another profile if already ran and run-mozilla.s...
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed1.8.0.1, fixed1.8.1
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-22 07:42 PDT by Eric Piel
Modified: 2006-03-26 13:40 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
finds the run-mozilla.sh even when it is in /usr/lib/mozilla-firefox-0.10/ (376 bytes, patch)
2004-09-22 07:46 PDT, Eric Piel
reed: review+
Details | Diff | Splinter Review
Unbitrotted patch(Checked in trunk/branch 1.8 & 1.8.0) (683 bytes, patch)
2005-12-19 15:52 PST, Ian Neal (Away until 7th Aug)
iann_bugzilla: review+
kairo: approval‑seamonkey1.0+
kairo: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Eric Piel 2004-09-22 07:42:46 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040919 Firefox/0.10
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040919 Firefox/0.10

In firefox 0.10 the script to run firefox (mozilla.in) checks if there is
already an instance of the program present and then it uses
mozilla-xremote-client. This does work excepted if run-mozilla.sh is in the
libdir (/usr/lib/mozilla-firefox-0.10). The following patch resolves the problem.

Reproducible: Always
Steps to Reproduce:
1. do not have /usr/bin/run-mozilla.sh , keep it in /usr/lib/mozilla-firefox-0.10
2. mozilla-firefox http://www.mozilla.org&
3. mozilla-firefox http://www.google.org&


Actual Results:  
Firefox ask for a profile.

Expected Results:  
Firefox should open a new window.
Comment 1 Eric Piel 2004-09-22 07:46:38 PDT
Created attachment 159743 [details] [diff] [review]
finds the run-mozilla.sh even when it is in /usr/lib/mozilla-firefox-0.10/

Let's note that the script is yet not optimal. In particular the remote
communication are done with ${progbase}. Therefore if the script is called
anything else than "firefox", "mozilla" or "thunderbird" it will fail. On
mandrake this script is called "mozilla-firefox" and everything is broken :-(
Comment 2 Mikael Roussillon 2004-12-02 06:59:34 PST
I think that the $moz_libdir value should be defined when installing. For
example, you install Firefox at /usr/share/firefox-1.0 then the script is
generated during the installation with:
moz_libdir="/usr/share/firefox-1.0".
Also, why bother with ${progbase}? The binary for firefox is always firefox-bin
in the installation directory so it should be hardcoded in the script.
Comment 3 Galen Swint 2005-05-03 11:03:19 PDT
Is this related to Bug 253946?
Comment 4 Eric Piel 2005-05-03 11:56:56 PDT
(In reply to comment #3)
> Is this related to Bug 253946?

No, the bug that you point is about being able to run several time mozilla in
the same time. On the contrary this bug is about mozilla which doesn't detect
correctly the other instance.

Actually I wonder if this bug is still valid. At least on Mandriva, the
run-mozilla.sh script is clever enough to find everything necessary.
Comment 5 markush 2005-08-25 10:27:20 PDT
This issue has been discovered independently by others (Firefox 1.0.6), arriving
at the exact same one-line patch that is already attached.  The bug will remain
in releases unless the attached patch is applied.  Please consider committing it.
Comment 6 Reed Loden [:reed] (use needinfo?) 2005-12-16 15:22:40 PST
Comment on attachment 159743 [details] [diff] [review]
finds the run-mozilla.sh even when it is in /usr/lib/mozilla-firefox-0.10/

As this patch is still relevant (at least something like this isn't in trunk), requesting review on the reporter's belated behalf.
Comment 7 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-12-19 11:35:34 PST
Comment on attachment 159743 [details] [diff] [review]
finds the run-mozilla.sh even when it is in /usr/lib/mozilla-firefox-0.10/

This patch should be applied to xpfe/bootstrap/mozilla.in

I don't think it is needed or should be used in the toolkit apps.
Comment 8 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-12-19 11:36:27 PST
(because the toolkit apps now use the auto-remoting architecture)
Comment 9 Reed Loden [:reed] (use needinfo?) 2005-12-19 15:27:27 PST
Comment on attachment 159743 [details] [diff] [review]
finds the run-mozilla.sh even when it is in /usr/lib/mozilla-firefox-0.10/

As :bs changed the product, silly Bugzilla dropped the review+. Bringing it over.
Comment 10 Ian Neal (Away until 7th Aug) 2005-12-19 15:52:36 PST
Created attachment 206342 [details] [diff] [review]
Unbitrotted patch(Checked in trunk/branch 1.8 & 1.8.0)

Carrying forward r=
Comment 11 Ian Neal (Away until 7th Aug) 2005-12-19 15:57:13 PST
Comment on attachment 206342 [details] [diff] [review]
Unbitrotted patch(Checked in trunk/branch 1.8 & 1.8.0)

Checking in
mozilla.in;
new revision: 1.10; previous revision: 1.9
done
Comment 12 Christian :Biesinger (don't email me, ping me on IRC) 2005-12-19 17:11:45 PST
Comment on attachment 206342 [details] [diff] [review]
Unbitrotted patch(Checked in trunk/branch 1.8 & 1.8.0)

seems like this'd be nice for 1.0final
Comment 13 Ian Neal (Away until 7th Aug) 2005-12-20 14:23:07 PST
Comment on attachment 206342 [details] [diff] [review]
Unbitrotted patch(Checked in trunk/branch 1.8 & 1.8.0)

a=me
Comment 14 Ian Neal (Away until 7th Aug) 2005-12-30 13:12:04 PST
Comment on attachment 206342 [details] [diff] [review]
Unbitrotted patch(Checked in trunk/branch 1.8 & 1.8.0)

Checking in (branch 1.8)
mozilla.in;
new revision: 1.8.8.2; previous revision: 1.8.8.1
done
Checking in (branch 1.8.0)
mozilla.in;
new revision: 1.8.8.1.2.1; previous revision: 1.8.8.1
done

Note You need to log in before you can comment on or make changes to this bug.